﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS1000B/2000B Cal Steps VISA /5500+S6
DATE:                  2010-08-31 07:52:26
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       389
CONFIGURATION:         Fluke 5500A (S6)
=============================================================================
#
#  Procedure Author:
#        DAC, VY, ZY
#
#  Model(s) Covered:
#        TDS1000B Series
#          TDS 1001B, TDS 1002B, TDS 1012B
#        TDS2000B Series
#          TDS 2002B, TDS 2004B, TDS 2012B, TDS 2014B, TDS 2022B, TDS 2024B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS1000B/2000B Check Cal Status VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         START CALIBRATION
  1.002  TARGET
# This TARGET is here so "Repeat" will perform a new calibration.
  1.003  DISP         ******************************************************
  1.003  DISP         [32]                 ATTENTION
  1.003  DISP         Pay close attention to connection prompts. An incorrect
  1.003  DISP         connection or signal may result in a calibration step
  1.003  DISP         failure. In the event of a failure, this procedure must
  1.003  DISP         be re-executed in its entirety.
  1.003  DISP         ******************************************************
  1.004  VISA         CAL:FACTORY;*OPC?[I!]

  1.005  IF           @NumChan == 2
  1.006  DISP         Connect the 5500A SCOPE OUT to one BNC T(f-f-f).
  1.006  DISP
  1.006  DISP         Connect the other sides of BNC T(f-f-f) in turn to
  1.006  DISP         UUT CH 1 and CH 2.
  1.007  DISP         The next operator intervention occurs in
  1.007  DISP         approximately 7 minutes, 40 seconds ...

  1.008  ELSE
  1.009  DISP         Connect the 5500A SCOPE OUT to one BNC T(f-f-f).
  1.009  DISP
  1.009  DISP         Connect one side of BNC T(f-f-f) to one BNC T(f-m-f).
  1.009  DISP
  1.009  DISP         Connect the other side of BNC T(f-f-f) to another
  1.009  DISP         BNC T(f-m-f).
  1.009  DISP
  1.009  DISP         Connect the other sides of two BNC T(f-m-f) in turn to
  1.009  DISP         UUT CH 1, CH 2, CH 3 and CH 4 via 4 BNC(m)-(m) cable.
  1.010  DISP         The next operator intervention occurs in
  1.010  DISP         approximately 9 minutes, 30 seconds ...
  1.011  ENDIF

# Specify the bandwidth string for head title display later.
  1.012  IF           @Bandwidth == 40E+6
  1.013  MATH         BWL = "40 MHz"
  1.014  ELSEIF       @Bandwidth == 60E+6
  1.015  MATH         BWL = "60 MHz"
  1.016  ELSEIF       @Bandwidth == 100E+6
  1.017  MATH         BWL = "100 MHz"
  1.018  ELSEIF       @Bandwidth == 200E+6
  1.019  MATH         BWL = "200 MHz"
  1.020  ENDIF

# Specify the step number
  1.021  MATH         StepNo = 1;

  1.022  DO

  1.023  IF           StepNo == 1
  1.024  HEAD         CAL STEP 1 : DCV 0.0 V
  1.025  5500         0.0V                                           S6 S

  1.026  ELSEIF       StepNo == 2
  1.027  HEAD         CAL STEP 2 : DCV -20.0 V
  1.028  5500         -20.0V                                         S6 S

  1.029  ELSEIF       StepNo == 3
  1.030  HEAD         CAL STEP 3 : DCV -2.0 V
  1.031  5500         -2.0V                                          S6 S

  1.032  ELSEIF       StepNo == 4
  1.033  HEAD         CAL STEP 4 : DCV -1.6 V
  1.034  5500         -1.6V                                          S6 S

  1.035  ELSEIF       StepNo == 5
  1.036  HEAD         CAL STEP 5 : DCV -1.2 V
  1.037  5500         -1.2V                                          S6 S

  1.038  ELSEIF       StepNo == 6
  1.039  HEAD         CAL STEP 6 : DCV -0.8 V
  1.040  5500         -0.8V                                          S6 S

  1.041  ELSEIF       StepNo == 7
  1.042  HEAD         CAL STEP 7 : DCV -0.4 V
  1.043  5500         -0.4V                                          S6 S

  1.044  ELSEIF       StepNo == 8
  1.045  HEAD         CAL STEP 8 : DCV -0.32 V
  1.046  5500         -0.32V                                         S6 S

  1.047  ELSEIF       StepNo == 9
  1.048  HEAD         CAL STEP 9 : DCV -0.2 V
  1.049  5500         -0.2V                                          S6 S

  1.050  ELSEIF       StepNo == 10
  1.051  HEAD         CAL STEP 10 : DCV -0.16 V
  1.052  5500         -0.16V                                         S6 S
  1.053  WAIT         -t 5 System Settling ...

  1.054  ELSEIF       StepNo == 11
  1.055  HEAD         CAL STEP 11 : DCV -0.08 V
  1.056  5500         -0.08V                                         S6 S

  1.057  ELSEIF       StepNo == 12
  1.058  HEAD         CAL STEP 12 : DCV -0.04 V
  1.059  5500         -0.04V                                         S6 S

  1.060  ELSEIF       StepNo == 13
  1.061  HEAD         CAL STEP 13 : DCV -0.03 V
  1.062  5500         -0.03V                                         S6 S

  1.063  ELSEIF       StepNo == 14
  1.064  HEAD         CAL STEP 14 : DCV -0.02 V
  1.065  5500         -0.02V                                         S6 S

  1.066  ELSEIF       StepNo == 15
  1.067  HEAD         CAL STEP 15 : DCV -0.015 V
  1.068  5500         -0.015V                                        S6 S

  1.069  ELSEIF       StepNo == 16
  1.070  HEAD         CAL STEP 16 : DCV 0.015 V
  1.071  5500         0.015V                                         S6 S

  1.072  ELSEIF       StepNo == 17
  1.073  HEAD         CAL STEP 17 : DCV 0.02 V
  1.074  5500         0.02V                                          S6 S

  1.075  ELSEIF       StepNo == 18
  1.076  HEAD         CAL STEP 18 : DCV 0.03 V
  1.077  5500         0.03V                                          S6 S

  1.078  ELSEIF       StepNo == 19
  1.079  HEAD         CAL STEP 19 : DCV 0.04 V
  1.080  5500         0.04V                                          S6 S

  1.081  ELSEIF       StepNo == 20
  1.082  HEAD         CAL STEP 20 : DCV 0.08 V
  1.083  5500         0.08V                                          S6 S

  1.084  ELSEIF       StepNo == 21
  1.085  HEAD         CAL STEP 21 : DCV 0.16 V
  1.086  5500         0.16V                                          S6 S

  1.087  ELSEIF       StepNo == 22
  1.088  HEAD         CAL STEP 22 : DCV 0.2 V
  1.089  5500         0.2V                                           S6 S

  1.090  ELSEIF       StepNo == 23
  1.091  HEAD         CAL STEP 23 : DCV 0.32 V
  1.092  5500         0.32V                                          S6 S

  1.093  ELSEIF       StepNo == 24
  1.094  HEAD         CAL STEP 24 : DCV 0.4 V
  1.095  5500         0.4V                                           S6 S

  1.096  ELSEIF       StepNo == 25
  1.097  HEAD         CAL STEP 25 : DCV 0.8 V
  1.098  5500         0.8V                                           S6 S

  1.099  ELSEIF       StepNo == 26
  1.100  HEAD         CAL STEP 26 : DCV 1.2 V
  1.101  5500         1.2V                                           S6 S

  1.102  ELSEIF       StepNo == 27
  1.103  HEAD         CAL STEP 27 : DCV 1.6 V
  1.104  5500         1.6V                                           S6 S

  1.105  ELSEIF       StepNo == 28
  1.106  HEAD         CAL STEP 28 : DCV 2.0 V
  1.107  5500         2.0V                                           S6 S

  1.108  ELSEIF       StepNo == 29
  1.109  HEAD         CAL STEP 29 : DCV 20.0 V
  1.110  5500         20.0V                                          S6 S

  1.111  ELSEIF       StepNo == 30
  1.112  HEAD         CAL STEP 30 : DCV 0.0 V
  1.113  5500         0.0V                                           S6 S

  1.114  ELSEIF       StepNo == 31
  1.115  5500         *                                                 S
  1.116  HEAD         CAL STEP 31 : EXT TRIG DCV -5.0 V
  1.117  DISP         Connect the 5500A SCOPE OUT to UUT EXT TRIG.
  1.118  DISP         The next operator intervention occurs in
  1.118  DISP         approximately 40 seconds ...
  1.119  5500         -5.0V                                          S6 S

  1.120  ELSEIF       StepNo == 32
  1.121  HEAD         CAL STEP 32 : EXT TRIG DCV -1.0 V
  1.122  5500         -1.0V                                          S6 S

  1.123  ELSEIF       StepNo == 33
  1.124  HEAD         CAL STEP 33 : EXT TRIG DCV 1.0 V
  1.125  5500         1.0V                                           S6 S

  1.126  ELSEIF       StepNo == 34
  1.127  HEAD         CAL STEP 34 : EXT TRIG DCV 5.0 V
  1.128  5500         5.0V                                           S6 S
  1.129  ENDIF

  1.130  WAIT         -t 5 System Settling ...
  1.131  VISA         [T300000]CAL:CONTINUE;*OPC?[I!]
  1.132  CALL         Sub Tek TDS1000B/2000B Check Cal Status VISA

  1.133  IF           @Error
  1.134  VISA         CAL:ABO;*OPC?[I!]
  1.135  END
  1.136  ENDIF

  1.137  MATH         StepNo = StepNo + 1
  1.138  UNTIL        StepNo > 34 || @Error

  1.139  MATH         Chan = 1

# Loop for every channel
  1.140  DO
  1.141  MATH         ChanEnd = 0
  1.142  MATH         SubNo = 1

# Loop for every sub step in this channel.
  1.143  DO
  1.144  MATH         HeadStr = "CAL STEP " & StepNo & " : " & "CH " & Chan

  1.145  IF           SubNo == 1
  1.146  5500         *                                                 S
  1.147  HEAD         [V HeadStr] Leveled Sine 5 kHz, 1 Vpp
  1.148  DISP         Connect the 5500A SCOPE OUT via 50 Ohm feed through
  1.148  DISP         terminator to the UUT CH [V Chan].

  1.149  IF           Chan == 1 || Chan == 3
  1.150  DISP         The next operator intervention occurs in
  1.150  DISP         approximately 4 minutes, 40 seconds ...
  1.151  ELSE
  1.152  DISP         The next operator intervention occurs in
  1.152  DISP         approximately 3 minutes, 50 seconds ...
  1.153  ENDIF

  1.154  5500         5kH                          1Vpp           SI S6 S  L

  1.155  ELSEIF       SubNo == 2
  1.156  HEAD         [V HeadStr] Leveled Sine 1 MHz, 100 mVpp
  1.157  5500         1MH                          100mVpp        LS S6 S  L

  1.158  ELSEIF       SubNo == 3
  1.159  HEAD         [V HeadStr] Leveled Sine 1 MHz, 1 Vpp
  1.160  5500         1MH                          1Vpp           LS S6 S  L

  1.161  ELSEIF       SubNo == 4
  1.162  HEAD         [V HeadStr] Leveled Sine 50 kHz, 1 Vpp
  1.163  5500         50kH                         1Vpp           LS S6 S  L

  1.164  ELSEIF       SubNo == 5
  1.165  HEAD         [V HeadStr] Leveled Sine 20 MHz, 1 Vpp
  1.166  5500         20MH                         1Vpp           LS S6 S  L

  1.167  ELSEIF       SubNo == 6
  1.168  HEAD         [V HeadStr] Leveled Sine [V BWL], 25 mVpp
  1.169  MATH         MEM = @Bandwidth / 1E+6
  1.170  5500         MH                           25mVpp         LS S6 S  L

  1.171  ELSEIF       SubNo == 7
  1.172  HEAD         [V HeadStr] Leveled Sine [V BWL], 50 mVpp
  1.173  MATH         MEM = @Bandwidth / 1E+6
  1.174  5500         MH                           50mVpp         LS S6 S  L

  1.175  ELSEIF       SubNo == 8
  1.176  HEAD         [V HeadStr] Leveled Sine [V BWL], 100 mVpp
  1.177  MATH         MEM = @Bandwidth / 1E+6
  1.178  5500         MH                           100mVpp        LS S6 S  L

  1.179  ELSEIF       SubNo == 9
  1.180  HEAD         [V HeadStr] Leveled Sine [V BWL], 250 mVpp
  1.181  MATH         MEM = @Bandwidth / 1E+6
  1.182  5500         MH                           250mVpp        LS S6 S  L

  1.183  ELSEIF       SubNo == 10
  1.184  HEAD         [V HeadStr] Leveled Sine [V BWL], 500 mVpp
  1.185  MATH         MEM = @Bandwidth / 1E+6
  1.186  5500         MH                           500mVpp        LS S6 S  L

  1.187  ELSEIF       SubNo == 11
  1.188  HEAD         [V HeadStr] Leveled Sine [V BWL], 1 Vpp
  1.189  MATH         MEM = @Bandwidth / 1E+6
  1.190  5500         MH                           1Vpp           LS S6 S  L

  1.191  ELSEIF       SubNo == 12
  1.192  HEAD         [V HeadStr] Leveled Sine 5 kHz, 2.5 Vpp
  1.193  5500         5kH                          2.5Vpp         SI S6 S  L

  1.194  ELSEIF       SubNo == 13
  1.195  HEAD         [V HeadStr] Leveled Sine 1 MHz, 2.5 Vpp
  1.196  5500         1MH                          2.5Vpp         LS S6 S  L

  1.197  ELSEIF       SubNo == 14
  1.198  HEAD         [V HeadStr] Leveled Sine 50 kHz, 2.5 Vpp
  1.199  5500         50kH                         2.5Vpp         LS S6 S  L

  1.200  ELSEIF       SubNo == 15
  1.201  HEAD         [V HeadStr] Leveled Sine 20 MHz, 2.5 Vpp
  1.202  5500         20MH                         2.5Vpp         LS S6 S  L

  1.203  ELSEIF       SubNo == 16
  1.204  HEAD         [V HeadStr] Leveled Sine [V BWL], 2.5Vpp
  1.205  MATH         MEM = @Bandwidth / 1E+6
  1.206  5500         MH                           2.5Vpp         LS S6 S  L

  1.207  ELSEIF       SubNo == 17
  1.208  HEAD         [V HeadStr] Leveled Sine [V BWL], 5Vpp
  1.209  MATH         MEM = @Bandwidth / 1E+6
  1.210  5500         MH                           5Vpp           LS S6 S  L

  1.211  IF           Chan == 2 || Chan == 4
  1.212  MATH         ChanEnd = 1
  1.213  ENDIF

  1.214  ELSEIF       SubNo == 18 && (Chan == 1 || Chan == 3)
  1.215  HEAD         [V HeadStr] Leveled Sine [V BWL], 1.6Vpp
  1.216  MATH         MEM = @Bandwidth / 1E+6
  1.217  5500         MH                           1.6Vpp         LS S6 S  L

  1.218  ELSEIF       SubNo == 19 && (Chan == 1 || Chan == 3)
  1.219  HEAD         [V HeadStr] EDGE 1 kHz, 800mVpp
  1.220  5500         1kH                          0.5Vpp         ED S6 S  L
  1.221  MATH         ChanEnd = 1
  1.222  ENDIF

  1.223  WAIT         -t 5 System Settling ...
  1.224  VISA         [T30000]CAL:CONTINUE;*OPC?[I!]
  1.225  CALL         Sub Tek TDS1000B/2000B Check Cal Status VISA

  1.226  IF           @Error
  1.227  VISA         CAL:ABO;*OPC?[I!]
  1.228  END
  1.229  ENDIF

  1.230  MATH         SubNo = SubNo + 1
  1.231  MATH         StepNo = StepNo + 1
  1.232  UNTIL        ChanEnd

  1.233  MATH         Chan = Chan + 1
  1.234  UNTIL        Chan > @NumChan

  1.235  HEAD
  1.236  5500         *                                                 S
  1.237  END
